package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 最大报销审核日志(OrderPublicReleaseLog)实体类
 *
 * @author makejava
 * @since 2024-09-24 09:53:27
 */
public class OrderPublicReleaseLog implements Serializable {
    private static final long serialVersionUID = 295133566431520933L;
    /**
     * id
     */
    private Integer id;
    /**
     * 报销编号
     */
    private String orderNo;
    /**
     * 审核流程 0=未发起，1=技术总监审核中，2=财务总监审核中，3=驳回，4=完成
     */
    private Integer processStatus;
    /**
     * 审核状态 0=发起，1=同意，2=驳回
     */
    private Integer status;
    /**
     * 最大公出小时
     */
    private Double useDuration;
    /**
     * 最大公出小时
     */
    private Double newDuration;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 操作人
     */
    private String auditor;
    /**
     * 操作人名称
     */
    private String auditorName;
    /**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getUseDuration() {
        return useDuration;
    }

    public void setUseDuration(Double useDuration) {
        this.useDuration = useDuration;
    }

    public Double getNewDuration() {
        return newDuration;
    }

    public void setNewDuration(Double newDuration) {
        this.newDuration = newDuration;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

